/* font family */
@font-face {
    font-family: fonth;
    src: url(../font/01font/AquireBold-8Ma60.otf);
}

@font-face {
    font-family: fb;
    src: url(../font/01font/Neptune.otf);
}

@font-face {

    font-family: faquir;
    src: url(../font/01font/aquir.otf);
}

@font-face {
    font-family: fround;
    src: url(../font/f1/OstrichSans-Heavy.otf);
}

@font-face {
    font-family: fitalic;
    src: url(../font/01font/Terminal.ttf);
}

@font-face {
    font-family: namefont;
    src: url(../font/01font/BlackRocker-ZVOpB.otf);
}

@font-face {
    font-family: logofont;
    src: url(../font/01font/OLED.otf);
}

@font-face {
    font-family: good;
    src: url(../font/01font/Orion-Regular.otf);
}

@font-face {
    font-family: muafont;
    src: url(../font/01font/mua.ttf);
}

@font-face {
    font-family: name;
    src: url(../font/01font/cursue.ttf);
}

@font-face {
    font-family: pride;
    src: url(../font/01font/himagsikan-italic.otf);
}

* {
    margin: 0px;
    padding: 0px;
    overflow: auto;
}

html {
    scroll-behavior: smooth;
}


body {
    background-color: #4b5d67;
    /* background-image: url('../img/dul.jpg'); */
    background-blend-mode: luminosity;
    /* background-color: #355d7d ,; */
    /* background-image: linear-gradient( #4b5d67,#25444b,#4b5d67); */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    /* overflow: hidden; */
    transform-style: preserve-3d;
    overflow-x: hidden;
    font-family: fround;
}

/* all title  */
.title {
    margin: 3%;
    align-content: space-around;
    align-self: center;
    align-items: center;
    text-align: center;
    text-shadow: 5px 2px 3px #032f58;
    font-size: 3rem;
    font-family: good;
}



/* navigation bar */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #151823;
    color: rgb(198, 182, 182);
    overflow: hidden;
}

#logo {
    display: flex;
    margin: .7rem;
    text-align: center;
    align-items: center;
    font-family: logofont;
}

.navlink {
    height: 100%;
}

.navlink ul {
    overflow: hidden;
    display: flex;
}

.navlink li {
    list-style: none;
    /* overflow: hidden; */
}

.navlink li a {
    text-decoration: none;
    color: rgb(94, 94, 94);
    padding: 1rem;
    display: block;
    float: inline-start;
}

.navlink li a ::after {
    content: "";
    width: 0;
    height: 3px;
    position: absolute;
    bottom: -5px;
    left: 50%;
    transform: trnaslateX(-50%);
    background: #ffffff;
    transition: width 0.3s;
}

.navlink li a:hover {
    color: #ffffffd1;
    width: auto;
    background-color: rgba(255, 255, 255, 0.03);

}


.button {
    position: absolute;
    top: .95rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.button .bar {
    height: 3px;
    width: 100%;
    background-color: rgba(88, 90, 96, 0.916);
    border-radius: 10px;
}

@media (max-width:900px) {
    .navbar {
        flex-direction: column;
        align-items: flex-start;
      
    }

    .button {
        display: flex;
    }

    .navlink {
        display: none;
        width: 100%;
    }

    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .navlink ul {
        width: 100%;
        flex-direction: column;
    }

    .navlink li {
        text-align: center;
    }

    .navlink li a {
        padding: .5rem 1rem;
    }

    .navlink.active {
        display: flex;

    }
}




/* home page */

#intro {
    /* margin-top: 2%; */
    width: 100%;
    height: device-height;
    background-color: transparent;
    font-family: logofont;
    align-content: space-around;
    align-self: center;
    display: flex;
    /* background-color: ; */
    background: linear-gradient(
        to right,
        black 0%,
        rgb(45, 44, 44) 50%,
        #4b5d67 50%,
        #425057 100%
    );
    /* background-image: url('../img/color.webp'); */

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-blend-mode: multiply;
    border-bottom: .5rem solid rgb(18, 18, 18);
    border-left: 4px solid rgb(255, 255, 255);
    align-items: center;
    opacity: 100%;
    text-align: center;
    justify-content: space-around;


}

#intro .info {
    opacity: 100%;
    z-index: 1;
    /* font-style: oblique; */
    margin-top: 4%;
    color: #878787;
    border-radius: 7px;
    align-items: center;
    float: left;
    font-size: 3.7em;
    align-content: space-around;
    align-self: center;
    align-items: center;
    text-align: center;
    transform-style: preserve-3d;



}

#intro .info h1 {
    /* name  */
    color: transparent;
    /* line-height: 160px; */
    -webkit-text-stroke: 0.01px rgba(255, 255, 255, 0.495);
    background-image: url('../img/back1.jpg');
    /* background-size:cover; */
    -webkit-background-clip: text;
    background-position: center;
    /* background-blend-mode: color-burn; */
    background-position: center;
    animation: back 20s linear infinite;
    filter: drop-shadow(2px 2px 3px rgb(0, 0, 0));
    font-family: fb;
    font-size: 6rem;
    padding: 7px;
    /* border: 3px solid red; */

    display: ruby-text-container;



}

@keyframes back {
    100% {
        background-position: 4000px 0px;

    }
}

#intro .info h2 {
    /* iam  */
    color: #ffffff;
    filter: drop-shadow(0px 0px);
    font-size: 2.5rem;
}

#intro .info h3 {
    /* hey */
    color: rgb(255, 255, 255);
    font-size: 1.5rem;
}

/* typed name */
#intro .info .name {
    color: rgba(53, 231, 255, 0.667);
    filter: drop-shadow(3px 3px 3px rgba(244, 242, 242, 0.521));
    font-family: cursive,'Courier New', Courier, monospace;
    

}

#intro .info h4 p {
    color: rgb(154, 154, 169);
    font-size: 1.5rem;
}





/* about  me  section*/
#aboutme {
    overflow: hidden;
}

.aboutme .row1 {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding-bottom: 2rem;
    /* background-color: rgb(57, 52, 52.); */
    align-content: space-around;
    align-items: center;
}

.aboutme .row1 .content {
    flex: 1 1 50rem;
}

/* .aboutme .row1 .content h5{
    color: rgb(204, 31, 31);
    font-size: 1.5rem; 
    text-align: left;
    margin-left: 9rem;
   overflow: hidden;
display: flex;
font-family: faquir;
;} */


.aboutme .row1 .content h3 {

    color: #171717dd;
    font-size: 3.5rem;
    font-family: fonth;
    filter: drop-shadow(4px 3px 4px#032f58);

    /* background-color: blueviolet; */
    margin: 10px;
    text-align: center;
    font-family: fonth,pride;
    overflow: hidden;


}

.aboutme .row1 .content p {
    font-size: 1.5rem;
    padding: .5rem 0;
    margin: 10px;
    text-align: left;
    font-family: faquir;
    /* filter: drop-shadow(2px 3px px black); */


}

.aboutme .row1 .content .box-cont {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding: 0.5rem 0;

}

.aboutme .row1 .content .box-cont .box {
    flex: 1 1 20rem;

}

.aboutme .row1 .content .box-cont .box p {
    color: rgba(27, 26, 26, 0.847);

}

.aboutme .row1 .content .box-cont .box span {
    color: rgba(0, 0, 0, 0.82);
    font-family: fonth;
    filter: drop-shadow(1px 1.5px 1px rgb(214, 197, 197));

}

.social {
    justify-content: space-around;
    align-items: center;
    display: flex;
}

.social img {
    height: 50px;
    width: 50px;
}

.social img:hover {
    filter: invert(100%) sepia(30%) saturate(30%) hue-rotate(340deg) brightness(400%) contrast(290%);
}

#resume {
   overflow: hidden;
    text-decoration: none;
    justify-content: space-evenly;
  
    
    display:flex;
    color: #000000;
   
    text-shadow: 2px 2px 3px #ffffff87;
}

#resume span a{
    text-decoration: none;
    color: #000000ca;
    margin:13px; 
    font-size:4vh;

    overflow: hidden;
    
}
#resume span{
    background-color: #2E4755;
    box-shadow: 3px 2px 53px rgb(0, 0, 0);
}
#resume span a:hover {
    overflow: hidden;
    color: #ffffff;
    transition: 0.9s;
    text-shadow: 2px 3px 2px #032f58;
    }
#resume span:hover{
    border: 3px double  #000000;
    transition: 0.7s;
    background-color: rgb(48, 66, 46)e;
    box-shadow: 3px 2px 100px rgb(255, 251, 251);

   /* background: transparent; */
   

}


canvas {
    display: block;
    justify-content: space-around;

    vertical-align: bottom;
}

#tsparticles {
    justify-content: space-around;

    position: relative;
    width: 400px;
    height: 600px;
    background-color: transparent;
    background-image: url(../img/meeee.jpg);
    background-size: cover;
    border-radius: 7px;
    margin-left: 1rem;

}


/* education section  */
.myedu {

    /* border: 3px solid blue; */
    justify-content: space-around;
    display: flex;
    /* float: left; */
    overflow: hidden;
    flex: auto;
    flex-wrap: no-wrap;
}

.myedu .edu {
    background-color: #3d4b55;
    /* background-color:#828fce; */
    opacity: 10%;
    color: #161e35;
    width: 40em;
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    font-size: 1.7rem;
    margin-top: 10px;
    overflow: hidden;
    flex-direction: column;
    /* float: left; */
    /* justify-content: space-evenly; */
    /* align-items: flex-start; */
    border-bottom: 3px solid black;
    border-left: 3px solid white;
    text-shadow: 0.5px -1px black;
    border-radius: 0.55rem;
    text-align: center;

}

#myedu {
    margin-top: 4rem;
    overflow: hidden;
}

.myedu .edu:hover {
    opacity: 100%;
    border-left: 5px solid white;
    filter: drop-shadow(6px 6px 6px black);



}

/* skill */
#shead {
    margin-top: 15px;
}

#sbox {
    height: device-height;
    width: device-width;
    display: flex;
    /* float: left; */
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 15px;
    justify-content: space-around;
    



}

.container {

    float: left;
    padding: 10px;
    flex-wrap: nowrap;
    flex-direction: row;
    font-family: fround;
    font-size: medium;
    overflow: hidden;


}

.container .card {
    position: relative;
    height: 200px;
    width: 200px;
    background-color: #404e56;

    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30px;
    /* overflow: hidden; */
    justify-content: space-around;
    display: flex;



}

.container .card .percent {
    position: relative;
    height: 150px;
    width: 150px;
    overflow: hidden;

}

.container .card .percent svg {
    position: relative;
    height: 150px;
    width: 150px;
    transform: rotate(270deg);

}

.container .card .percent svg circle {
    position: relative;
    height: 95%;
    width: 95%;

    fill: transparent;
    stroke-width: 2;
    stroke: rgb(0, 0, 0);
    transform: translate(5px, 5px);
}

.container .card .percent svg circle:nth-child(2) {
    stroke: var(--clr);
    stroke-dasharray: 440;

    stroke-dashoffset: calc(440 - (440 * var(--num)) / 100);
    opacity: 0;
    animation: fadeIn 1s linear forwards;

    animation-delay: 2s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }

}

.dot {
    position: absolute;
    /* background-color: rgb(255, 255, 255); */
    opacity: 1;
    height: 150px;
    width: 150px;
    /* inset: 1; */
    z-index: 10;
    animation: animateDot 2s linear forwards;
}

@keyframes animateDot {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(calc(3.6deg * var(--num)));
        /* 360 deg /100=3.6 */
    }
}

.dot::before {
    content: '';
    position: absolute;
    /* margin-top: 4px; */
    top: 2px;
    left: 50%;
    /* background-color: aquamarine; */
    transform: rotateX(-50%);
    border-radius: 100%;
    width: 7px;
    height: 7px;
    background-color: var(--clr);
    z-index: 100 !important;
    box-shadow: 0 0 7px var(--clr),
        0px 0px 7px var(--clr);

}

.number {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;

    background-blend-mode: saturation;

    filter: brightness(100px);

    flex-direction: column;
    opacity: 0;
    animation: fadeIn 1s linear forwards;

    animation-delay: 2.5s;
}

.number h2 {
    display: flex;
    justify-content: flex-end;
    justify-items: flex-end;
    font-size: 2em;
    color: rgb(255, 249, 249);
    font-weight: 700;


}

.number h2 span {
    display: flex;
    justify-content: center;
    justify-items: center;
    font-size: 0.7em;
    color: rgb(220, 212, 212);
    font-weight: 300;
    opacity: 100%;

}

.number p {
    display: flex;
    justify-content: flex-end;
    justify-items: flex-end;
    font-size: 20px;
    margin-top: 65px;
    font-weight: bold;
    color: rgb(236, 234, 234);
    /* font-weight: 700; */
}

#htmlb {
    background-image: url(../img/html1.png);
    background-size: 140px;
    /* background-size: cover; */

    background-repeat: no-repeat;
    background-position: center;
    display: flex;

}

#cssb {
    background-image: url(../img/css1.png);
    background-size: 140px;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;

}

#jsb {
    background-image: url(../img/js1.png);
    background-size: 140px;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;

}

#reactb {
    background-image: url(../img/React1.png);
    background-size: 130px;
    display: flex;
    background-repeat: no-repeat;
    background-position: center;

}

.card:hover {
    box-shadow: 0 0 3px 2px rgba(0, 0, 0, 0.553);
    filter: drop-shadow(3px 4px 3px black);
    
}



/* service area */
.myservice {
    /* background-color: rgb(176, 133, 133); */
    /* border: 3px solid blue; */
    justify-content: space-around;
    display: flex;
    overflow: hidden;
    flex: auto;
    flex-wrap: wrap;

}

.myservice .service {
    background-color: #273e4b;
    color: rgb(9, 19, 28);

    /* opacity:30%; */
    width: 30em;
    height: 20em;
    margin-left: 10px;
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
    font-size: 1.3rem;
    margin-top: 10px;
    overflow: hidden;
    /* flex-direction: row; */
    float: left;
    justify-content: space-evenly;
    align-items: center;


}

.myservice .service h1,
h2 {
    padding: 2px;
    text-align: center;
    opacity: 75%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: aliceblue;
    filter: drop-shadow(3px 4px 3px rgba(243, 73, 73, 0.683));

}

#myservice {
    margin-top: 4rem;
    overflow-x: hidden;
}

/* get in touch  */



#conbox {
    height: device-height;
    width: device-width;
    overflow-x: hidden;
    align-items: center;
    justify-content: space-evenly;
display: flex;
flex-direction: row;
    }

    @media (max-width:900px) {
        #conbox{
            flex-direction: column;
            overflow-x: hidden;
        }
        
    }
.concontainer {
    position: relative;
    overflow-x:hidden ;
    float: left;
    padding: 10px;
    flex-wrap: nowrap;
color: white;
/* justify-content: space-evenly;
align-items: center; */


}

.concard {
    position: relative;
    height: 200px;
    width: 200px;
    background-color: #404e56;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 30px;
    overflow-x: hidden;
    justify-content: space-around;
    /* color: rgb(2, 2, 1); */
    font-family: cursive;
    font-size: small;


    display: flex;
    text-decoration: none;
    justify-content: center;
    margin: 10px;
    flex-wrap: nowrap;
    flex-direction: column;

}

.concard a {
    text-decoration: none;
    align-items: center;
    justify-content: center;
    padding: 1.5em;
    color: white;
}
.concard img{
    /* color: rgb(0, 0, 0); */
    background-color: transparent;
    filter: invert(100%) sepia(30%) saturate(30%) hue-rotate(340deg) brightness(400%) contrast(290%);

}
.concontainer :hover{
   /* drop-shadow:(3px 2px 3px rgb(0, 0, 0));
    */
    box-shadow:3px 2px 3px rgb(0, 0, 0);

}
.concontainer a:hover{
    /* drop-shadow:(3px 2px 3px rgb(0, 0, 0));
     */
     box-shadow:none;
 
 }
 .concontainer img:hover{
    /* drop-shadow:(3px 2px 3px rgb(0, 0, 0));
     */
     box-shadow:none;
 
 }
